Contents
Get Wiki Page
[Notice] Starting July 14, 2026, we are changing how we provide Wiki:
- New spaces: Wiki is not available.
- Existing spaces: Wiki is off by default for new projects. You can turn it on in project settings.
For details, see Important Notice: Discontinuing Wiki for New Spaces and Updating Default Settings for New Projects.
Wiki API endpoints still work. Discontinuing Wiki in the future will affect API integrations, and we’ll give you ample notice beforehand.
Returns information about Wiki page.
Role
All
Method
GET
URL
/api/v2/wikis/:wikiId
URL parameters
| Parameter Name | Type | Description |
|---|---|---|
| wikiId | Number | Wiki page ID |
Response example
Status Line / Response Header
HTTP/1.1 200 OK
Content-Type:application/json;charset=utf-8
Response Body
{
"id": 1,
"projectId": 1,
"name": "Home",
"content": "test",
"tags": [
{
"id": 12,
"name": "proceedings"
}
],
"attachments": [
{
"id": 1,
"name": "test.json",
"size": 8857,
"createdUser": {
"id": 1,
"userId": "admin",
"name": "admin",
"roleType": 1,
"lang": "ja",
"nulabAccount": {
"nulabId": "Prm9ZD9DQD5snNWcSYSwZiQoA9WFBUEa2ySznrSnSQRhdC2X8G",
"name": "admin",
"uniqueId": "admin"
},
"mailAddress": "eguchi@nulab.example",
"lastLoginTime": "2022-09-01T06:35:39Z"
},
"created": "2014-01-06T11:10:45Z"
},
// ...
],
"sharedFiles": [
{
"id": 454403,
"projectId": 5,
"type": "file",
"dir": "/userIcon/",
"name": "01_male clerk.png",
"size": 2735,
"createdUser": {
"id": 5686,
"userId": "takada",
"name": "takada",
"roleType":2,
"lang":"ja",
"nulabAccount": {
"nulabId": "r4iGCWu4mU64aGUJykJH4GhBwdAXMTAtVRQ5RwZTDpeaECoBs2",
"name": "takada",
"uniqueId": "takada"
},
"mailAddress":"takada@nulab.example",
"lastLoginTime": "2022-09-01T06:35:39Z"
},
"created": "2009-02-27T03:26:15Z",
"updatedUser": {
"id": 5686,
"userId": "takada",
"name": "takada",
"roleType": 2,
"lang": "ja",
"nulabAccount": {
"nulabId": "r4iGCWu4mU64aGUJykJH4GhBwdAXMTAtVRQ5RwZTDpeaECoBs2",
"name": "takada",
"uniqueId": "takada"
},
"mailAddress": "takada@nulab.example",
"lastLoginTime": "2022-09-01T06:35:39Z"
},
"updated":"2009-03-03T16:57:47Z"
},
// ...
],
"stars": [],
"createdUser": {
"id": 1,
"userId": "admin",
"name": "admin",
"roleType": 1,
"lang": "ja",
"nulabAccount": {
"nulabId": "Prm9ZD9DQD5snNWcSYSwZiQoA9WFBUEa2ySznrSnSQRhdC2X8G",
"name": "admin",
"uniqueId": "admin"
},
"mailAddress": "eguchi@nulab.example",
"lastLoginTime": "2022-09-01T06:35:39Z"
},
"created": "2012-07-23T06:09:48Z",
"updatedUser": {
"id": 1,
"userId": "admin",
"name": "admin",
"roleType": 1,
"lang": "ja",
"nulabAccount": {
"nulabId": "Prm9ZD9DQD5snNWcSYSwZiQoA9WFBUEa2ySznrSnSQRhdC2X8G",
"name": "admin",
"uniqueId": "admin"
},
"mailAddress": "eguchi@nulab.example",
"lastLoginTime": "2022-09-01T06:35:39Z"
},
"updated": "2012-07-23T06:09:48Z"
}